summaryrefslogtreecommitdiff
path: root/debian/tcc.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tcc.postinst')
-rw-r--r--debian/tcc.postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/tcc.postinst b/debian/tcc.postinst
new file mode 100644
index 0000000..12fda3d
--- /dev/null
+++ b/debian/tcc.postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ update-alternatives --quiet --install /usr/bin/cc cc /usr/bin/tcc 10 \
+ --slave /usr/share/man/man1/cc.1.gz cc.1.gz \
+ /usr/share/man/man1/tcc.1.gz;
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0